#ifndef MERCURY_KERNEL_TERMINAL_HPP
#define MERCURY_KERNEL_TERMINAL_HPP

#include <mercury/kernel/framebuffer.hpp>
#include <mercury/kernel/utility.hpp>
#include <cstddef>
#include <cstdint>

namespace mercury::kernel::terminal {

  extern uint8_t *termfont;
  extern uint64_t termfont_len;

  void init_terminal();

  extern int width;
  extern int height;

  extern int cursor_x;
  extern int cursor_y;

  extern framebuffer::color bg_color;
  extern framebuffer::color fg_color;

  void put_char(char ch);
  void put_string(const utility::string &str);
  void put_string_sz(const char *str);

  void put_int_decimal(uint64_t n, bool with_commas = true);

}

#endif
